To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

3
votes
2answers
316 views

How to sort updates based on release date on debian testing?

I'm a user of linux mint debian linux distro which is based on debian testing. Debian testing is a rolling release distro. The testing nature of this distro cause some package updates to be buggy. I'm ...
2
votes
1answer
534 views

Upgrading ffmpeg

How can I upgrade ffmpeg to version 0.6 on debian-based operating system? I'm using apt-get for installation and deb packages.
4
votes
1answer
2k views

Problems with apt-get upgrade on Debian (404 Not Found)

I can't update my Debian Sid system. on running the apt-get upgrade I am getting: maciej@wladyslawa:/etc/apt$ sudo apt-get upgrade Reading package lists... Done Building dependency tree ...
1
vote
1answer
1k views

How to update boost of OpenSuse 11.4 to boost version 1.46?

I have 64 bit OpenSuse 11.4 and has boost 1.44. I'm trying to update boost to version 1.46 through 1-Click install of OpenSuse's site. However I'm getting a lot of errors about it's repositories ...
2
votes
1answer
3k views

X problems on Fedora 15

I just upgraded from F13 to F15 using the Installation DVD and it looked all went fine. When I first booted into F15, gdm was having troubles starting up. I tried removing Xorg and reinstalled and ...
2
votes
1answer
2k views

How to block yum from upgrading obsoleted package?

Is there any way to prevent yum from upgrading a package obsoleted by another? I have created a custom repo containing some packages, among them openh323-devel. In current versions of CentOS, ...
2
votes
2answers
2k views

Updates/applications/packages for Ubuntu 10.10 with no internet connection

I recently installed Ubuntu Desktop 10.10 (i.e 2h ago :D) from ISO CD. All went smoothly but now I have an issue. I don't have a network connection. I do not mean that there is a configuration ...
5
votes
1answer
6k views

What is a Transaction Check Error ? (yum update)

I tried today to replace packages from atomiccorp's repositories with newer packages from the epel/remi repositories and received Transaction Check Errors. I cannot proceed with my update. Install ...
3
votes
2answers
6k views

Arch Linux not booting after system update

After running a system update pacman -Syu with the testing repo not commented, my computer no longer boots. It shows the udev loading, then shows a black screen with a cursor blinking in upper left. I ...
2
votes
2answers
2k views

FreeBSD: Getting pkg_add to use stable packages rather than release packages?

Using FreeBSD 8.2-RELEASE. I want to use the latest binary packages rather than the packages at the time of the 8.2 release. That is, I want to use packages in ...
11
votes
2answers
2k views

Is there a downside to ksplice?

ksplice is an open source extension of the Linux kernel which allows system administrators to apply security patches to a running kernel without having to reboot the operating system. (From ...
4
votes
1answer
2k views

Obtaining Solaris 10 patches

I have a Solaris 10 server. I've been trying to find from where I can download patches/updates. The specific bug I'm running into (http://bugs.opensolaris.org/view_bug.do?bug_id=6551484) is ...
4
votes
6answers
271 views

What I can I do to make the transition to some new computer hardware safe and smooth?

I normally use machine A, and I make backups of A onto a fileserver B. Sooner or later, I will lose machine A for one reason or another. Its hard drive wears out, or it gets hit by lightening, or some ...
4
votes
1answer
4k views

How to do a binary install of Python 2.7 on SUSE Linux Enterprise Server 11?

My SLES11 box came with Python 2.6 installed. I would like to upgrade to 2.7. What is the easiest way to do this?
1
vote
1answer
130 views

Holding left arrow triggers permanent Mode_switch

This is a weird one... I recently upgraded from Debian lenny to squeeze (following the upgrade instructions step by step). Everything went surprisingly well, except for one piece of strange new ...
0
votes
1answer
522 views

How do I enable a new repository in CentOS?

I need to upgrade my version of subversion however, simply running yum update subversion tells me: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * addons: ...
7
votes
1answer
174 views

Managing and applying custom updates to multiple identical machines [duplicate]

I work at a library where we have just recently setup 5 kiosk's based on linuxmint. The hardware is identical. I actually used DD to make an image after I set the first one up. My Problem is, I now ...
1
vote
1answer
978 views

How to have the Bookmarks toolbar show up on Firefox 4?

I've upgraded Firefox from 3 to 4 beta8. My Bookmarks toolbar has disappeared and I can't find the option to make it appear again.
12
votes
2answers
6k views

Best way to upgrade vim/gvim to 7.3 in Ubuntu 10.04?

I have to use Ubuntu 10.04 at work, and cant upgrade it. I'm using Vim/gVim 7.2. I want to upgrade it to 7.3 (with Python and Ruby extension support). Which is the best way? Add an entry in ...
7
votes
1answer
8k views

How to update Puppy Linux?

A month or two ago, I installed the latest version of Puppy Linux to an old Eee PC which I hardly use any more. Well I'm on it now! But I can't figure out how to update it. It uses a weird Puppy ...
2
votes
1answer
1k views

Can't register or update Solaris 11 Express

Trying the x86 live CD, installed it on a VirtualBox virtual machine, network connectivity and guest additions are OK. The "Register" link (which they imply is needed to get updates) gets me to an ...
4
votes
1answer
6k views

Converting syslog-ng 3.0? format to 3.2 format

Just rebooted my system to this warning :: Starting Syslog-NG [BUSY] WARNING: Configuration file format is too old, please update ...
5
votes
1answer
2k views

Ubuntu postfix installation error: trying to overwrite '/usr/sbin/validlocale', which is also in package libc-bin 0:2.10.1-0ubuntu18

I am trying to install Postfix on Ubuntu 10.04 using command sudo apt-get install postfix but there comes error as shown below: Preconfiguring packages ... (Reading database ... 164023 files and ...
4
votes
4answers
1k views

How should I deal with Fedora's short life cycle?

I have been using Fedora as my primary distribution since very long. One thing that "bothers" me is its relatively short life cycle. I install its latest release, restore my backup, customize the ...
9
votes
1answer
296 views

What are you going to do with your OpenSolaris machines?

I have a file server running OpenSolaris (mainly for ZFS, which I really love), but since Oracle has abandoned it, I'm starting to think about what I'm going to do with the OS on that machine. ...
3
votes
3answers
773 views

Updating FreeBSD 8.0 to 8.1 (methods and policy)

I have 8.0-RELEASE-p4 + few ports installed. I wonder wheather I should update to 8.1. How long is 8.0 supported? How to update the system? I couldn't find anything about it in handbook. SOLUTION ...